%define rbname edje
%define version 0.0.0
%define release %mkrel 0.svn346.2

Summary: Ruby binding for edje
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Ruby
License: MIT
URL: http://code-monkey.de/projects/ruby-efl.html
Source0: %{name}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: edje-devel ruby-evas-devel
BuildRequires: ruby-rake ruby-devel

%description
ruby-edje is a set of Ruby language bindings for Enlightenment's Layout
library, edje.

%prep
%setup -q -n %{name}

%build
EDJE_PREFIX=%{_prefix} rake 

%install
mkdir -p %{buildroot}%{ruby_sitearchdir}
EDJE_PREFIX=%{_prefix} DESTDIR=%{buildroot} rake install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{ruby_sitearchdir}/*.so



%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.0-0.svn346.2mdv2009.0
+ Revision: 140753
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.0.0-0.svn346.2mdv2008.1
+ Revision: 126809
- kill re-definition of %%buildroot on Pixel's request

  + Pascal Terjan <pterjan@mandriva.org>
    - Fix description
    - use mkrel
    - use std macros
    - use Development/Ruby group


* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.svn346.2mdk
- BuildRequires ruby-devel

* Sun Aug 14 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.svn346.1mdk
- First version of the package

